SoMFColor Class Reference

| http://www.sim.no/ http://www.coin3d.org/

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
SoMFColor Class Reference
Field Classes

The SoMFColor class is a container for SbColor values.This field is used where nodes, engines or other field containers needs to store multiple color values (i.e. "Red Green Blue" triplets). More...

`#include <Inventor/fields/SoMFColor.h>`

Inheritance diagram for SoMFColor:

## Public Member Functions
virtual SoType | getTypeId (void) const
virtual void | copyFrom (const SoField &field)
const SoMFColor & | operator= (const SoMFColor &field)
virtual SbBool | isSame (const SoField &field) const
const SbColor & | operator[] (const int idx) const
const SbColor * | getValues (const int start) const
int | find (const SbColor &value, SbBool addifnotfound=FALSE)
void | setValues (const int start, const int num, const SbColor *newvals)
void | set1Value (const int idx, const SbColor &value)
void | setValue (const SbColor &value)
const SbColor & | operator= (const SbColor &val)
SbBool | operator== (const SoMFColor &field) const
SbBool | operator!= (const SoMFColor &field) const
SbColor * | startEditing (void)
void | finishEditing (void)
void | setValuesPointer (const int num, const float *userdata)
void | setValuesPointer (const int num, float *userdata)
void | setValuesPointer (const int num, const SbColor *userdata)
void | setValuesPointer (const int num, SbColor *userdata)
void | setValues (int start, int num, const float rgb[][3])
void | setHSVValues (int start, int num, const float hsv[][3])
void | setValue (const SbVec3f &vec)
void | setValue (float r, float g, float b)
void | setValue (const float rgb[3])
void | setHSVValue (float h, float s, float v)
void | setHSVValue (const float hsv[3])
void | set1Value (int idx, const SbVec3f &vec)
void | set1Value (int idx, float r, float g, float b)
void | set1Value (int idx, const float rgb[3])
void | set1HSVValue (int idx, float h, float s, float v)
void | set1HSVValue (int idx, const float hsv[3])
Public Member Functions inherited from SoMField
virtual | ~SoMField ()
int | getNum (void) const
void | setNum (const int num)
virtual void | deleteValues (int start, int num=-1)
virtual void | insertSpace (int start, int num)
SbBool | set1 (const int index, const char *const valuestring)
void | get1 (const int index, SbString &valuestring)
virtual void | enableDeleteValues (void)
virtual SbBool | isDeleteValuesEnabled (void) const
Public Member Functions inherited from SoField
virtual | ~SoField ()
void | setIgnored (SbBool ignore)
SbBool | isIgnored (void) const
void | setDefault (SbBool defaultVal)
SbBool | isDefault (void) const
SbBool | isOfType (const SoType type) const
void | enableConnection (SbBool flag)
SbBool | isConnectionEnabled (void) const
SbBool | connectFrom (SoEngineOutput *master, SbBool notnotify=FALSE, SbBool append=FALSE)
SbBool | appendConnection (SoEngineOutput *master, SbBool notnotify=FALSE)
void | disconnect (SoEngineOutput *engineoutput)
SbBool | isConnectedFromEngine (void) const
SbBool | getConnectedEngine (SoEngineOutput *&master) const
SbBool | connectFrom (SoField *master, SbBool notnotify=FALSE, SbBool append=FALSE)
SbBool | appendConnection (SoField *master, SbBool notnotify=FALSE)
void | disconnect (SoField *field)
SbBool | isConnectedFromField (void) const
SbBool | getConnectedField (SoField *&master) const
int | getNumConnections (void) const
int | getForwardConnections (SoFieldList &slavelist) const
int | getConnections (SoFieldList &masterlist) const
void | disconnect (void)
SbBool | isConnected (void) const
void | setContainer (SoFieldContainer *cont)
SoFieldContainer * | getContainer (void) const
SbBool | set (const char *valuestring)
void | get (SbString &valuestring)
SbBool | shouldWrite (void) const
virtual void | touch (void)
virtual void | startNotify (void)
virtual void | notify (SoNotList *nlist)
SbBool | enableNotify (SbBool on)
SbBool | isNotifyEnabled (void) const
void | addAuditor (void *f, SoNotRec::Type type)
void | removeAuditor (void *f, SoNotRec::Type type)
int | operator== (const SoField &f) const
int | operator!= (const SoField &f) const
virtual void | connectionStatusChanged (int numconnections)
SbBool | isReadOnly (void) const
virtual void | fixCopy (SbBool copyconnections)
virtual SbBool | referencesCopy (void) const
void | copyConnection (const SoField *fromfield)
virtual SbBool | read (SoInput *input, const SbName &name)
virtual void | write (SoOutput *out, const SbName &name) const
virtual void | countWriteRefs (SoOutput *out) const
void | setFieldType (int type)
int | getFieldType (void) const
SbBool | getDirty (void) const
void | setDirty (SbBool dirty)
void | evaluate (void) const

## Static Public Member Functions
static void * | createInstance (void)
static SoType | getClassTypeId (void)
static void | initClass (void)
Static Public Member Functions inherited from SoMField
static SoType | getClassTypeId (void)
static void | atexit_cleanup (void)
static void | initClass (void)
Static Public Member Functions inherited from SoField
static void | initClass (void)
static void | initClasses (void)
static void | cleanupClass (void)
static SoType | getClassTypeId (void)

## Protected Member Functions
virtual void | deleteAllValues (void)
virtual void | copyValue (int to, int from)
virtual int | fieldSizeof (void) const
virtual void * | valuesPtr (void)
virtual void | setValuesPtr (void *ptr)
virtual void | allocValues (int num)
Protected Member Functions inherited from SoMField
| SoMField (void)
virtual void | makeRoom (int newnum)
Protected Member Functions inherited from SoField
| SoField (void)
void | valueChanged (SbBool resetdefault=TRUE)
virtual void | evaluateConnection (void) const
virtual SbBool | readConnection (SoInput *in)
virtual void | writeConnection (SoOutput *out) const
SbBool | isDestructing (void) const

## Protected Attributes
SbColor * | values
Protected Attributes inherited from SoMField
int | num
int | maxNum
SbBool | userDataIsUsed

## Additional Inherited Members
Public Types inherited from SoField
enum | FieldType { NORMAL_FIELD = 0, EVENTIN_FIELD, EVENTOUT_FIELD, EXPOSED_FIELD }

## Detailed Description

The SoMFColor class is a container for SbColor values.

This field is used where nodes, engines or other field containers needs to store multiple color values (i.e. "Red Green Blue" triplets).

This field supports application data sharing through a setValuesPointer() method. See SoMField documentation for information on how to use this function.

See also
  SbColor, SoSFColor

## Member Function Documentation

SoType SoMFColor::getTypeId | ( | void |  | ) | const
| virtual

Returns the type identification instance which uniquely identifies the Coin field class the object belongs to.

See also
  getClassTypeId(), SoType

Implements SoField.

void SoMFColor::copyFrom | ( | const SoField & | f | ) |
| virtual

Copy value(s) from f into this field. f must be of the same type as this field.

Implements SoField.

SbBool SoMFColor::isSame | ( | const SoField & | f | ) | const
| virtual

Check for equal type and value(s).

Implements SoField.

void SoMFColor::deleteAllValues | ( | void |  | ) |
| protectedvirtual

This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

Implements SoMField.

void SoMFColor::copyValue | ( | int | to,
|  | int | from
| ) |  |
| protectedvirtual

This method is used for moving values around internally within a multivalue field. It needs to be overridden in each field so it automatically takes care of running copy contructors where necessary.

Implements SoMField.

const SbColor* SoMFColor::getValues | ( | const int | start | ) | const
| inline

\ Returns a pointer to the values array. \

void SoMFColor::setValues | ( | int | start,
|  | int | numarg,
|  | const float | rgb[][3]
| ) |  |

Set num RGB color values, starting at index start.

void SoMFColor::setHSVValues | ( | int | start,
|  | int | numarg,
|  | const float | hsv[][3]
| ) |  |

Set num HSV color values, starting at index start.

void SoMFColor::setValue | ( | const SbVec3f & | vec | ) |

Set the color array to a single value. vec is interpreted as a three element vector with the red, green and blue components, respectively.

void SoMFColor::setValue | ( | float | r,
|  | float | g,
|  | float | b
| ) |  |

Set the color array to a single value. r, g and b are the red, green and blue components, respectively.

void SoMFColor::setValue | ( | const float | rgb[3] | ) |

Set the color array to a single value. rgb is a three element vector with the red, green and blue components, respectively.

void SoMFColor::setHSVValue | ( | float | h,
|  | float | s,
|  | float | v
| ) |  |

Set the color array to a single value. h, s and v are the hue, saturation and value components, respectively.

void SoMFColor::setHSVValue | ( | const float | hsv[3] | ) |

Set the color array to a single value. hsv is a three element vector with the hue, saturation and value components, respectively.

void SoMFColor::set1Value | ( | int | idx,
|  | const SbVec3f & | vec
| ) |  |

Set the color at idx. vec is interpreted as a three element vector with the red, green and blue components, respectively.

void SoMFColor::set1Value | ( | int | idx,
|  | float | r,
|  | float | g,
|  | float | b
| ) |  |

Set the color at idx. r, g and b is the red, green and blue components, respectively.

void SoMFColor::set1Value | ( | int | idx,
|  | const float | rgb[3]
| ) |  |

Set the color at idx. rgb is interpreted as a three element vector with the red, green and blue components, respectively.

void SoMFColor::set1HSVValue | ( | int | idx,
|  | float | h,
|  | float | s,
|  | float | v
| ) |  |

Set the color at idx. h, s and v is the hue, saturation and value components, respectively.

void SoMFColor::set1HSVValue | ( | int | idx,
|  | const float | hsv[3]
| ) |  |

Set the color at idx. hsv is a three element vector with the hue, saturation and value components, respectively.

The documentation for this class was generated from the following files:

- SoMFColor.h
- SoMFColor.cpp

Copyright © 1998-2010 by Kongsberg Oil & Gas Technologies. All rights reserved.